com.sun.grid.jgdi.configuration

## Class PathNameImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.PathNameImpl

- All Implemented Interfaces:
    GEObject, PathName, java.io.Serializable, java.lang.Cloneable

      public class PathNameImpl
      extends GEObjectImpl
      implements PathName

  Java representation of the cull object PN_Type defined in sge_all_listsL.template

  Warning: The PathNameImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathNameImpl()` Create a new instance of PathNameImpl.
    `PathNameImpl(boolean initWithDefaultValues)` Create a new instanceof
    `PathNameImpl(java.lang.String path)` Create a new instance of PathNameImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getFileHost()` Get the value of the fileHost attribute.
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `java.lang.String` | `getPath()` Get the value of the path attribute.
    `boolean` | `isFileStaging()` Get the value of the fileStaging attribute.
    `boolean` | `isSetFileHost()` Determine if the fileHost attribute is set
    `boolean` | `isSetFileStaging()` Determine if the fileStaging attribute is set
    `boolean` | `isSetHost()` Determine if the host attribute is set
    `boolean` | `isSetPath()` Determine if the path attribute is set
    `void` | `setFileHost(java.lang.String aFileHost)` Set the fileHost attribute.
    `void` | `setFileStaging(boolean aFileStaging)` Set the fileStaging attribute.
    `void` | `setHost(java.lang.String aHost)` Set the host attribute.
    `void` | `setPath(java.lang.String aPath)` Set the path attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### PathNameImpl

          public PathNameImpl()

      Create a new instance of PathNameImpl. The new instance will not be initialized with the default values.

    - #### PathNameImpl

          public PathNameImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### PathNameImpl

          public PathNameImpl(java.lang.String path)

      Create a new instance of PathNameImpl

  - ### Method Detail

    - #### isSetPath

          public boolean isSetPath()

      Determine if the path attribute is set
      Specified by:
        `isSetPath` in interface `PathName`
      Returns:
        `true` if the path attribute is set

    - #### setPath

          public void setPath(java.lang.String aPath)

      Set the path attribute.
      Specified by:
        `setPath` in interface `PathName`
      Parameters:
        `aPath` - the new value for the path attribute

    - #### getPath

          public java.lang.String getPath()

      Get the value of the path attribute.
      Specified by:
        `getPath` in interface `PathName`
      Returns:
        the value of the path attribute

    - #### isSetHost

          public boolean isSetHost()

      Determine if the host attribute is set
      Specified by:
        `isSetHost` in interface `PathName`
      Returns:
        `true` if the host attribute is set

    - #### setHost

          public void setHost(java.lang.String aHost)

      Set the host attribute.
      Specified by:
        `setHost` in interface `PathName`
      Parameters:
        `aHost` - the new value for the host attribute

    - #### getHost

          public java.lang.String getHost()

      Get the value of the host attribute.
      Specified by:
        `getHost` in interface `PathName`
      Returns:
        the value of the host attribute

    - #### isSetFileHost

          public boolean isSetFileHost()

      Determine if the fileHost attribute is set
      Specified by:
        `isSetFileHost` in interface `PathName`
      Returns:
        `true` if the fileHost attribute is set

    - #### setFileHost

          public void setFileHost(java.lang.String aFileHost)

      Set the fileHost attribute.
      Specified by:
        `setFileHost` in interface `PathName`
      Parameters:
        `aFileHost` - the new value for the fileHost attribute

    - #### getFileHost

          public java.lang.String getFileHost()

      Get the value of the fileHost attribute.
      Specified by:
        `getFileHost` in interface `PathName`
      Returns:
        the value of the fileHost attribute

    - #### isSetFileStaging

          public boolean isSetFileStaging()

      Determine if the fileStaging attribute is set
      Specified by:
        `isSetFileStaging` in interface `PathName`
      Returns:
        `true` if the fileStaging attribute is set

    - #### setFileStaging

          public void setFileStaging(boolean aFileStaging)

      Set the fileStaging attribute.
      Specified by:
        `setFileStaging` in interface `PathName`
      Parameters:
        `aFileStaging` - the new value for the fileStaging attribute

    - #### isFileStaging

          public boolean isFileStaging()

      Get the value of the fileStaging attribute.
      Specified by:
        `isFileStaging` in interface `PathName`
      Returns:
        the value of the fileStaging attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `PathName`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.